Package org.pushingpixels.substance.internal.colorscheme

# Class InvertedColorScheme

java.lang.Object
org.pushingpixels.substance.api.colorscheme.BaseColorScheme
org.pushingpixels.substance.internal.colorscheme.InvertedColorScheme

All Implemented Interfaces:
  `SchemeBaseColors`, `SchemeDerivedColors`, `SubstanceColorScheme`, `SubstanceTrait`

public class InvertedColorScheme extends BaseColorScheme
Implementation of inverted color scheme. Inverted color scheme is based on some original color scheme, switching the dark colors by light colors and inverting the foreground color.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`derivedColorsResolver, displayName, isDark`

## Constructor Summary

Constructors
Constructor
Description
`InvertedColorScheme(SubstanceColorScheme origScheme)`
Creates a new inverted scheme.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getDarkColor()`
Retrieves the dark color.
`Color`
`getExtraLightColor()`
Retrieves the extra color.
`Color`
`getForegroundColor()`
Retrieves the foreground color.
`Color`
`getLightColor()`
Retrieves the light color.
`Color`
`getMidColor()`
Retrieves the medium color.
`SubstanceColorScheme`
`getOrigScheme()`
Returns the original color scheme.
`Color`
`getUltraDarkColor()`
Retrieves the ultra-dark color.
`Color`
`getUltraLightColor()`
Retrieves the ultra-light color.

### Methods inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`getBackgroundFillColor, getDisplayName, getFocusRingColor, getLineColor, getResolver, getSelectionBackgroundColor, getSelectionForegroundColor, getTextBackgroundFillColor, getWatermarkDarkColor, getWatermarkLightColor, getWatermarkStampColor, hueShift, invert, isDark, named, negate, saturate, shade, shift, shiftBackground, tint, tone, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvertedColorScheme

public InvertedColorScheme(SubstanceColorScheme origScheme)
Creates a new inverted scheme.

Parameters:
  `origScheme` - The original color scheme.

## Method Details

### getForegroundColor

public Color getForegroundColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the foreground color.

Returns:
  Foreground color.

### getUltraLightColor

public Color getUltraLightColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the ultra-light color.

Returns:
  Ultra-light color.

### getExtraLightColor

public Color getExtraLightColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the extra color.

Returns:
  Extra color.

### getLightColor

public Color getLightColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the light color.

Returns:
  Light color.

### getMidColor

public Color getMidColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the medium color.

Returns:
  Medium color.

### getDarkColor

public Color getDarkColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the dark color.

Returns:
  Dark color.

### getUltraDarkColor

public Color getUltraDarkColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the ultra-dark color.

Returns:
  Ultra-dark color.

### getOrigScheme

public SubstanceColorScheme getOrigScheme()
Returns the original color scheme.

Returns:
  The original color scheme.